public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pexpect/
Date: Mon, 28 Jan 2019 04:51:31 +0000 (UTC)	[thread overview]
Message-ID: <1548651080.99e8fc7599a9bc7d7b1219f627a84bb922df6676.prometheanfire@gentoo> (raw)

commit:     99e8fc7599a9bc7d7b1219f627a84bb922df6676
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 28 04:51:03 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Jan 28 04:51:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99e8fc75

dev-python/pexpect: 4.6.0 bump

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/pexpect/Manifest             |  1 +
 dev-python/pexpect/pexpect-4.6.0.ebuild | 40 +++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pexpect/Manifest b/dev-python/pexpect/Manifest
index f4c41a9c88c..b55e25ad351 100644
--- a/dev-python/pexpect/Manifest
+++ b/dev-python/pexpect/Manifest
@@ -1 +1,2 @@
 DIST pexpect-4.2.1.tar.gz 143980 BLAKE2B b5cb9c7847eabdf8778bddc6b208520edb9b3611d7a981fae6e371fa6deafebe142ba8361e3a1d21187cd692576c91d732f3def75e19989296f50b2a9fb4d4c6 SHA512 796474c87559cb9f4e2dfe72564d70c75e1aac4f57c4f3e4033a56c8842a48380ae0d5fafdad7f1ea6718b25c272fe4a611a59db44e69afb1f2bbf7e00256261
+DIST pexpect-4.6.0.tar.gz 148966 BLAKE2B 0ed1a3c31133bf618e4c75ea099efaa9bda9e2b7f92f46c54ad553ecc56487e5415b750334376a95599ada53e17e91efe7d4b65ad80bb4f6a1cf9d655a3c9685 SHA512 9a2b1ef19d885e69cfd17ba0519581f782574019010043e66d8b68f98ac86b359f4a1ca42f8bb0059a5dfdd43275ad93531c076cc0ac2049e109408961b46bbd

diff --git a/dev-python/pexpect/pexpect-4.6.0.ebuild b/dev-python/pexpect/pexpect-4.6.0.ebuild
new file mode 100644
index 00000000000..02f1b078ff9
--- /dev/null
+++ b/dev-python/pexpect/pexpect-4.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for spawning child apps and responding to expected patterns"
+HOMEPAGE="https://pexpect.readthedocs.io/ https://pypi.org/project/pexpect/ https://github.com/pexpect/pexpect/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc examples test"
+
+RDEPEND=">=dev-python/ptyprocess-0.5[${PYTHON_USEDEP}]"
+DEPEND="
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_compile_all() {
+	use doc && emake -C doc html
+}
+
+python_test() {
+	py.test tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/_build/html/. )
+	if use examples; then
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2019-01-28 20:06 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-28  4:51 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 16:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/pexpect/ Michał Górny
2023-12-15 10:52 Michał Górny
2023-12-15 10:38 Arthur Zamarin
2023-11-25 19:02 Arthur Zamarin
2023-06-27  6:34 Sam James
2023-05-24 17:17 Arthur Zamarin
2023-05-23 18:36 Arthur Zamarin
2023-03-16  4:03 Michał Górny
2022-05-31  7:22 Michał Górny
2022-05-31  7:13 Sam James
2022-04-11  9:17 Michał Górny
2021-05-05 17:05 Michał Górny
2021-05-05 17:05 Michał Górny
2020-09-30 12:20 Louis Sautier
2020-09-20 14:30 Michał Górny
2020-08-05 16:03 Sam James
2020-07-15 20:18 Sergei Trofimovich
2020-07-09 13:11 Michał Górny
2020-05-25 16:16 Michał Górny
2020-04-15  2:24 Mike Gilbert
2020-03-25 13:25 Michał Górny
2020-03-25 13:25 Michał Górny
2019-12-03 22:10 Aaron Bauman
2019-11-16 11:02 Michał Górny
2019-11-16 11:02 Michał Górny
2019-07-08  6:01 Michał Górny
2019-04-28 10:54 Michał Górny
2018-03-22 16:45 Mikle Kolyada
2017-12-17 20:11 Sergei Trofimovich
2017-10-15 21:43 Thomas Deutschmann
2017-10-05  9:04 Sergei Trofimovich
2017-09-24 16:49 Sergei Trofimovich
2017-09-22 19:40 Sergei Trofimovich
2017-09-15  4:42 Markus Meier
2017-09-01 22:20 Sergei Trofimovich
2017-09-01 10:28 Tim Harder
2017-09-01 10:28 Tim Harder
2017-02-12 22:20 Zac Medico
2016-11-06  6:59 Patrick Lauer
2016-11-03 21:00 Patrice Clement
2015-11-11 17:27 Justin Lecher
2015-10-14 13:40 Justin Lecher
2015-10-12  5:21 Jeroen Roovers
2015-10-11  7:05 Justin Lecher
2015-10-10 16:31 Justin Lecher
2015-09-11 14:30 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1548651080.99e8fc7599a9bc7d7b1219f627a84bb922df6676.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox